!     Este programa lee un vector de n componentes (n.GE.10) e imprime su modulo.
!     Para calcular el modulo del vector se utiliza una funcion C.
!     A continuacion espera a que se pulse la tecla RETURN (Entrar).

      parameter(MXN=10)
      implicit double precision (a-h,o-z)

      dimension v(MXN)

    1 write(6,'(a,$)') ' Dimension del vector : '
      read(5,*) n
      if (n.lt.1.or.n.gt.MXN) goto 1

	do i=1,n
        write(6,'(a,i6,a,$)') ' Componente v(',i,') = '
	  read(5,*) v(i)
      enddo

      w=0.d+00
	call productoescalar(n, v, v, w)
	w = sqrt(w)

	write(6,'(a,d20.9)') ' Modulo del vector = ',w

      read(5,'()')
      end


